Top movers
curl --request GET \
--url https://api.sandbox.busha.so/v1/stocks/movers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/stocks/movers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/stocks/movers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"data": {
"gainers": [
{
"symbol": "AAPL",
"name": "Apple",
"display_ticker": "AAPL",
"type": "stock",
"weekend_enabled": true,
"is_market_open": true,
"buy_supported": true,
"sell_supported": true,
"sector": "<string>",
"logo_url": "https://example.com",
"price": {
"amount": "100",
"currency": "BTC"
},
"change_24h": {
"currency": "BTC",
"amount": "100",
"percent": "100"
}
}
],
"losers": [
{
"symbol": "AAPL",
"name": "Apple",
"display_ticker": "AAPL",
"type": "stock",
"weekend_enabled": true,
"is_market_open": true,
"buy_supported": true,
"sell_supported": true,
"sector": "<string>",
"logo_url": "https://example.com",
"price": {
"amount": "100",
"currency": "BTC"
},
"change_24h": {
"currency": "BTC",
"amount": "100",
"percent": "100"
}
}
]
}
}Stocks
Top movers
Top gainers and losers by 24h percent change over listed symbols with a fresh enough price to rank.
GET
/
v1
/
stocks
/
movers
Top movers
Authorizations
Bearer Authentication
Query Parameters
Max entries per list (gainers and losers each). Default 6, max 20.
Required range:
x <= 20